%define section free

Name:           update-alternatives
Version:        1.8.3
Release:        7jpp
Epoch:          0
Summary:        Maintain symbolic links determining default commands
License:        GPL
Group:          System
Source0:        %{name}-%{version}.tar.bz2
Patch0:         %{name}-script.patch
Patch1:         %{name}-man.patch
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Distribution:   JPackage
Vendor:         JPackage Project
AutoReqProv:    no
Requires:       /usr/bin/perl

%description
update-alternatives creates, removes, maintains and displays
information about the symbolic links comprising the alternatives
system. It is possible for several programs fulfilling the same or
similar functions to be installed on a single system at the same
time. For example, many systems have several text editors installed at
once. This gives choice to the users of a system, allowing each to use
a different editor, if desired, but makes it difficult for a program
to make a good choice of editor to invoke if the user has not
specified a particular preference.


%prep
%setup -q
%patch0
%patch1


%build
# Nope.


%install
rm -rf $RPM_BUILD_ROOT
install -D -p -m 755 update-alternatives.pl \
  $RPM_BUILD_ROOT%{_sbindir}/update-alternatives
install -D -p -m 644 update-alternatives.8 \
  $RPM_BUILD_ROOT%{_mandir}/man8/update-alternatives.8
# Paths hardcoded in script and patch0.
install -d -m 755 $RPM_BUILD_ROOT/etc/alternatives
install -d -m 755 $RPM_BUILD_ROOT/var/lib/rpm/alternatives


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_sysconfdir}/alternatives
%{_sbindir}/update-alternatives
%{_mandir}/man8/update-alternatives.8*
# Paths hardcoded in script and patch0.
/etc/alternatives
/var/lib/rpm/alternatives


%changelog
* Sat Aug 16 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.8.3-7jpp
- Fix admindir location (/var/rpm/alternatives -> /var/lib/rpm/alternatives).
- Use hardcoded paths in specfile to be in sync with the script and manpage.
- Borrow summary and description from the ALT Linux package.
- Minor specfile cleanups, save it in UTF-8.

* Fri May 23 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.8.3-6jpp
- Rebuild to get rid of MDK-autogenerated perl-base dependency.
- Set AutoReqProv: no.
- Add explicit /usr/bin/perl requirement.
- Fix Group tag.
- Add %%section macro.

* Tue May 06 2003 David Walluck <david@anti-microsoft.org> 0:1.8.3-5jpp
- update for JPackage 1.5

* Mon May 6 2002 Nicolas Mailhot <nmailhot@users.sourceforge.net> 1.8.3-4jpp
- Build on a RedHat 7.2 system to avoid strange perl dependencies conflicts

* Thu Dec 20 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.8.3-3jpp
- Used original Debian sources and Mandrake patches

* Thu Dec 20 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.8.3-2jpp
- Bugfix release

* Wed Dec 19 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.8.3-1jpp
- first JPackage release
